# start container demonized
docker-compose up --no-recreate -d

# enter service
docker exec -it SERVICE_NAME /bin/bash

# bild images
docker-compose build
docker-compose build SERVICE_NAME

# force recreate
docker-compose up --force-recreat

# show logs
docker-compose logs -f

## for development

#Kill all running containers
docker kill $(docker ps -aq)
#Delete all stopped containers (including data-only containers)
docker rm $(docker ps -a -q)
#Delete all 'untagged/dangling' (<none>) images
docker rmi $(docker images -q -f dangling=true)
#Delete ALL images
docker rmi $(docker images -q)
#Delete volumes
docker volume rm $(docker volume ls -q)
#Delete all
docker kill $(docker ps -aq) && docker rm $(docker ps -a -q) && docker rmi $(docker images -aq) && docker volume rm $(docker volume ls -aq)

# GIT commit and add all
git commit -am 

# GIT force stable tag
git tag -f stable
git push origin -f --tags

